Skip to main content
`Ctrl`+`K`

# pystac.validation.schema_uri_map

class pystac.validation.schema_uri_map.DefaultSchemaUriMap

  Implementation of SchemaUriMap that uses schemas hosted by stacspec.org

  For STAC Versions 0.9.0 or earlier this will use the schemas hosted on the radiantearth/stac-spec GitHub repo.

  BASE_URIS: list[tuple[STACVersionRange, Callable[[str], str]]] = [(<VERSIONS 1.0.0-beta.2-1.1.0>, <function DefaultSchemaUriMap.<lambda>>), (<VERSIONS 0.8.0-1.0.0-beta.1>, <function DefaultSchemaUriMap.<lambda>>)]
  DEFAULT_SCHEMA_MAP: dict[str, Any] = {'Catalog': ('catalog-spec/json-schema/catalog.json', None), 'Collection': ('collection-spec/json-schema/collection.json', None), 'Feature': ('item-spec/json-schema/item.json', None)}
  get_object_schema_uri(object_type: STACObjectType, stac_version: str) → str | None

    Get the schema URI for the given object type and stac version.

    Parameters:

      - object_type – STAC object type. One of `STACObjectType`

      - stac_version – The STAC version of the schema to return.

    Returns:

      The URI of the schema, or None if not found.

    Return type:

      str

class pystac.validation.schema_uri_map.OldExtensionSchemaUriMap

  Ties old extension IDs to schemas hosted by https://schemas.stacspec.org.

  For STAC Versions 0.9.0 or earlier this will use the schemas hosted on the radiantearth/stac-spec GitHub repo.

  classmethod get_base_uris() → list[tuple[STACVersionRange, Callable[[STACVersionID], str]]]
  classmethod get_extension_schema_uri(extension_id: str, object_type: STACObjectType, stac_version: STACVersionID) → str | None
  classmethod get_schema_map() → dict[str, Any]

class pystac.validation.schema_uri_map.SchemaUriMap

  Abstract class defining schema URIs for STAC core objects and extensions.

  abstract get_object_schema_uri(object_type: STACObjectType, stac_version: str) → str | None

    Get the schema URI for the given object type and stac version.

    Parameters:

      - object_type – STAC object type. One of `STACObjectType`

      - stac_version – The STAC version of the schema to return.

    Returns:

      The URI of the schema, or None if not found.

    Return type:

      str